;*************************************************************************
;*
;* Declare-Filter (c) 2007 Markus Haacke
;* GUI Procedures
;*
;*************************************************************************
;* 
;* Programname       : Declare-Filter
;* Filename          : _GUI.pb
;* Filetype          : Includefile   [Main source, Includefile, Data file]
;*
;* Main source       : Declare-Filter.pb
;* Autor             : Markus Haacke (www.gismeth.de)
;*
;* =======================================================================
;* *** GNU General Public License - informations in english ***
;*
;* This program is free software; you can redistribute it and/or modify it under the terms 
;* of the GNU General Public License Version 3 as published by the Free Software Foundation.
;*
;* This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY,
;* without even the implied warranty of MERCHANTABILITY or FITNESS for A PARTICULAR PURPOSE.
;* See the GNU General Public License for more details.
;*
;* You should have received a copy of the GNU General Public License along with this program.
;* If not, see <http://www.gnu.org/licenses/>.
;*
;* -----------------------------------------------------------------------
;* *** GNU General Public License - Informationen in Deutsch ***
;*
;* Dieses Programm ist freie Software. Sie knnen es unter den Bedingungen der GNU General 
;* Public License Version 3, wie von der Free Software Foundation verffentlicht, weitergeben
;* und/oder modifizieren.
;*
;* Die Verffentlichung dieses Programms erfolgt in der Hoffnung, da es Ihnen von Nutzen 
;* sein wird, aber OHNE IRGENDEINE GARANTIE, sogar ohne die implizite Garantie der MARKTREIFE
;* oder der VERWENDBARKEIT FR EINEN BESTIMMTEN ZWECK. Details finden Sie in der GNU General 
;* Public License.
;* 
;* Sie sollten ein Exemplar der GNU General Public License zusammen mit diesem Programm 
;* erhalten haben. Falls nicht, siehe <http://www.gnu.org/licenses/>.
;*
;*************************************************************************


;- Window Constants
;
Enumeration
  #Window_Main
EndEnumeration

;- Gadget Constants
;
Enumeration
  #String_Ad
  #Text_1
  #String_Datei
  #ButtonImage_Load
  #Text_2
  #Editor_Dateien
  #Text_3
  #Editor_Liste
  #Button_About
  #Button_Filter
  #Button_Kopieren
EndEnumeration

;- Image Plugins

;- Image Globals
Global Image0

;- Catch Images
Image0 = CatchImage(0, ?Image0)

;- Images
DataSection
Image0:
  IncludeBinary "Data\openfile.ico"
EndDataSection

Procedure Open_Window_Main()
  If OpenWindow(#Window_Main, 328, 103, 348, 362, "Declare-Filter (c) " + #Copyright + " Markus Haacke",  #PB_Window_SystemMenu | #PB_Window_MinimizeGadget | #PB_Window_MaximizeGadget | #PB_Window_Invisible | #PB_Window_TitleBar | #PB_Window_ScreenCentered )
    StringGadget(#String_Ad, 265, 0, 80, 15, "www.gismeth.de", #PB_String_ReadOnly | #PB_String_BorderLess)
    TextGadget(#Text_1, 5, 5, 40, 15, "Datei:")
    StringGadget(#String_Datei, 5, 20, 315, 20, "", #PB_String_ReadOnly)
    ButtonImageGadget(#ButtonImage_Load, 325, 20, 20, 20, Image0)
    TextGadget(#Text_2, 5, 45, 315, 15, "Darin includierte Dateien:")
    EditorGadget(#Editor_Dateien, 5, 60, 340, 105)
    TextGadget(#Text_3, 5, 170, 340, 15, "Generierte Declare-Procedure Liste:")
    EditorGadget(#Editor_Liste, 5, 185, 340, 145)
    ButtonGadget(#Button_About, 5, 335, 45, 25, "About")
    ButtonGadget(#Button_Filter, 140, 335, 100, 25, "Filtern")
    ButtonGadget(#Button_Kopieren, 245, 335, 100, 25, "Liste kopieren")
  EndIf
EndProcedure

